Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

Key Life Cycle Management APIs

Fetching List of Azure Keys

search

Please Note:

Fetching List of Azure Keys

Use the get /v1/cckm/azure/keys API to fetch the list of Azure keys. The results can be filtered using the query parameters.

Syntax

curl -k '<IP>/api/v1/cckm/azure/keys?skip=0&limit=10&sort=updatedAt' -H
'Authorization: Bearer
eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiI1MDIzNTY1Yy0xOWI3LTQyY2UtODZmMi1jNWI3
MTA1MTJhZjMiLCJzdWIiOiJsb2NhbHwwMWI4M2EwZS1mY2U1LTQ5MjgtODhiNi0zNTNkMmQ3ZTBiNDMiLCJpc
3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb2
1haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4
iXSwic2lkIjoiZGJlNzU2MWYtZDVhOS00ZGEzLWJiZTEtNjlhMTg0Y2U3YzEzIiwiem9uZV9pZCI6IjAwMDAw
MDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6Ijg0MjMxNmZhLWFiOTItNGQ2Ni1hM
jQ4LTkxM2I2MmNhOTQzNSIsImlhdCI6MTYwMTQ2MDc5NCwiZXhwIjoxNjAxNDYxMDk0fQ.4ZoMwbFAYHRHfQb
f_yhQ-f5j75HaNaWViOSunTrt8xw' --compressed

Request Parameter

Parameter Type Description
AUTHTOKEN string Authorization token.

Request Query Parameters

Parameter Type Description
id string Internal ID of the Azure key.
key_vault string Name of the Azure key vault.
key_vault_id string ID of the key vault.
key_name string Name of the key.
cloud_name string Name of the cloud.
region string Region name.
crv string EC curve ID.
status string Status of the key.
backup string Backed up keys.
enabled boolean Enabled keys.
key_size string Size of the key.
job_config_id string ID of the scheduler configuration job.
deleted_in_azure boolean Fetches keys based on their availability in Azure.
algorithm string Algorithm type.
kid string Azure key ID.
gone boolean Fetches keys based on their existence in the cloud.
version string Fetches keys based on version.
rotation_job_enabled boolean Fetches key based on the rotation job status.
key_material_origin string Source of the key material. The origin of the key can be:
• cckm: Key material is created on CCKM.
• native: Key material is created on the Azure cloud.
• unknown: Source of the key material is unknown. It is different than CCKM and the native cloud.
skip integer Number of records to skip. For example, if "skip":5 is specified, the first five records will not be displayed in the output.
limit integer Numbers of records to display. For example, if "limit":10 is specified, then the next 10 records (after skipping the number of records specified in the skip parameter) will be displayed in the output.
sort string Comma-delimited list of properties to sort the results.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/azure/keys?skip=0&limit=10&sort=updatedAt' -H 'Authorization: Bearer     eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiI1MDIzNTY1Yy0xOWI3LTQyY2UtODZmMi1jNWI3MTA1MTJhZjMiLCJzdWIiOiJsb2NhbHwwMWI4M2EwZS1mY2U1LTQ5MjgtODhiNi0zNTNkMmQ3ZTBiNDMiLCJpc  3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4  iXSwic2lkIjoiZGJlNzU2MWYtZDVhOS00ZGEzLWJiZTEtNjlhMTg0Y2U3YzEzIiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6Ijg0MjMxNmZhLWFiOTItNGQ2Ni1hM  jQ4LTkxM2I2MmNhOTQzNSIsImlhdCI6MTYwMTQ2MDc5NCwiZXhwIjoxNjAxNDYxMDk0fQ.4ZoMwbFAYHRHfQbf_yhQ-f5j75HaNaWViOSunTrt8xw' --compressed

Example Response

{
    "skip": 0,
    "limit": 10,
    "total": 1,
    "resources": [
        {
            "id": "94a392f3-52e8-4542-90b6-b8554c046492",
            "uri": "kylo:kylo:cckm:azure-key:94a392f3-52e8-
            4542-90b6-b8554c046492",
            "account": "kylo:kylo:admin:accounts:kylo",
            "application": "ncryptify:gemalto:admin:apps:kylo",
            "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
            "createdAt": "2020-09-30T10:13:47.500575Z",
            "updatedAt": "2020-09-30T10:13:47.498558Z",
            "key_vault": "keyvault-softkeys::12e533dd-b5c2-4e58-a264-
            0cd812dc5a34",
            "key_vault_id": "bedb82b9-582c-402d-9874-f3368722cf46",
            "region": "northcentralus",
            "deleted": false,
            "backup_at": "2020-09-30T10:13:47.490014Z",
            "soft_delete_enabled": true,
            "key_soft_deleted_in_azure": false,
            "status": "ACTIVE",
            "syncedAt": "2020-09-30T10:13:46Z",
            "created_by": "ef767cf9-61dd-4765-a4df-ebd65493c728",               
            "modified_by": "ef767cf9-61dd-4765-a4df-ebd65493c728",
            "version": "e6d8dd366c024902b00e116af5e99ecc",
            "key_size": 3072,
            "backup": "a67e5fb314aa47d6b9d33522ae1cc8f511b9
            2313a30b47e5841168da27f97f32",
            "key_name": "Test-key",
            "cloud_name": "AzureCloud",
            "azure_param": {
                "key": {
                    "kid": "https://keyvault-softkeys.
                    vault.azure.net/keys/Test-key
                    /e6d8dd366c024902b00e116af5e99ecc",
                    "kty": "RSA",
                    "key_ops": [
                        "encrypt",
                        "decrypt",
                        "sign",
                        "verify",
                        "wrapKey",
                        "unwrapKey"
                    ],
                    "n": "pQPKeqvSEMpQ29j3bzG3Vsz-ufp5p-JNCI1jX4lEhmL41Xmq7CVz6HkUgwPS0PC6qZc6dHXhfkewzNtmB81T5X8XYk3vK0LNckQouDoFJRm3heAyao88ei6zUndmceWGq-OmNjVMiOVViPiB46l3NAhErHVgh8DLb7gWU3yMyu4eAZGNXVYMS0BfKSy6C_Gz9Pz4vbmJj-7jTxD_xmKuaoKkR4g2bCFDldBE8RJjtBNF_K8XcNEoZxVuEHYlzTOQ5eXQct8LqXVgfFtwhf2BYC7cVrK0smnN-pAor_
                    gurBRyEtiJQV08QCwBXh4PGjWviMPt0LTkfzjLB7yIFtrAlpAece9rbfPULNOSqLuGxhFDJGHWw6IB7IIVex_
                    NVeBfxsbyAHOD0t3UE0VrYijrv6gVz5-VqjC1OGcqtMEEld5-
                    aS2HlMbfpmRhTxWTbg11KKSPIm6RqplSgqMMlzSEriuCA4l6hxGRuuQRfCOqAIUQqe_9Wx433yJKF8cCt",
                    "e": "AQAB"
                },
                "attributes": {
                    "recoveryLevel": "CustomizedRecoverable
                    +Purgeable",
                    "enabled": true,
                    "nbf": 1662702740,
                    "exp": 1662702740,
                    "created": 1601460826,
                    "updated": 1601460826
                }
            },
            "azure_created_at": "2020-09-30T10:13:46Z",
            "azure_updated_at": "2020-09-30T10:13:46Z",
            "tenant": "d27d849e-e487-4b0e-a54c-a71e67687d10",
            "azure_expire_at": "2022-09-09T05:52:20Z",
            "key_material_origin": "native",
            "gone": false
        }
    ]
}

The sample output shows the list of Azure keys.

To know more about response parameters, refer to Response Parameters of Key Life Cycle Management APIs.

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.